{ config, ... }:
{
  # RSS-Bridge
  # The RSS feed for websites missing it

  services.rss-bridge = {
    enable = true;
    virtualHost = "rss-bridge.kuklef.se";
    whitelist = [ "*" ];
    #whitelist = [ "Reddit" ];
  };

  services.nginx.virtualHosts.${config.services.rss-bridge.virtualHost} = {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
  };

}
