{ config, pkgs, lib, ... }:
{
  # Bootloader
  #N/A

  ## gated on formatAttr which is set by nixos-generators
  #boot = lib.mkIf ((config.formatAttr or null) == null) {
  #  loader.systemd-boot.enable = true;
  #  loader.efi.canTouchEfiVariables = true;
  #  loader.efi.efiSysMountPoint = "/boot/efi";
  #};

  imports = [
    #./hardware-configuration.nix
    ../../../profiles/sshd.nix

    ../../../users/pbsds

    ../../../profiles/shell.nix

    #../../../profiles/domeneshop-dyndns.nix
    ../../../profiles/known-hosts.nix
  ];
  #services.domeneshop-updater.targets = [ config.networking.fqdn ];

  nix.settings.max-jobs = 0; # remotes only lol, nspawn container has broken sandbox

  services.openssh.enable = true;
  services.openssh.ports = lib.mkForce [ 2222 ];
  networking.firewall.allowedTCPPorts = [ 2222 ];

  # Networking
  networking.networkmanager.enable = true;

  # TODO: remove? Move?
  programs.dconf.enable = true;
}
