{ config, pkgs, lib, inputs, ... }:
{
  services.docs-to-host.docs = [
    {
      dirname = "nginx-manual";
      path    = "${pkgs.nginx.doc}/share/doc/nginx/en";
      desc    = pkgs.nginx.meta.description;
    }
    {
      dirname = "postgresql-manual";
      path    = "${pkgs.postgresql.doc}/share/doc/postgresql/html";
      desc    = pkgs.postgresql.meta.description;
    }
  ];
}
