{ config, pkgs, lib, mkDomain, ... }:
{
  # links.pbsds.net

  # TODO: links as the main site is only temporary
  services.nginx.virtualHosts."links.pbsds.net" = let
    links-pbsds-net = pkgs.fetchFromGitea rec {
      name = repo;
      domain = "gitea.noximilien.pbsds.net";
      owner = "pbsds";
      repo = "links.pbsds.net";
      rev = "61cd605f198a22db87af087fda34c378b03d4306";
      hash = "sha256-dx19aTy8K9xkL+cO4r4huYKrlVBZMUkDcbjqxLKe8W4=";
    };
  in {
    serverAliases = [
      "pbsds.net"
      "www.pbsds.net"
    ];
    #serverAliases = map mkDomain [ "links" ];
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    root = "${links-pbsds-net}";
  };

}
