{ lib, pkgs, ... }:
{
  virtualisation.docker.enable = true;
  virtualisation.oci-containers.backend = lib.mkDefault "docker";


  virtualisation.docker.autoPrune.enable = true;
  virtualisation.docker.autoPrune.dates = "weekly";
  #virtualisation.docker.autoPrune.flags = [ "--all" ];

  environment.systemPackages = with pkgs; [
    #docker-compose
  ];


  # Required for containers under podman-compose to be able to talk to each other.
  #virtualisation.defaultNetwork.settings.dns_enabled = true;

  # TODO: if root-on-zfs
  #virtualisation.podman.extraPackages = [ pkgs.zfs ];

  # remember to add your user:
  #users.users.USERNAME.extraGroups = [ "docker" ];
}
